Name:           yaz
Version:        2.1.26
Release:        1%{?dist}
Summary:        Z39.50/SRW/SRU programs

Group:          Applications/Internet
License:        BSD
URL:            http://www.indexdata.dk/yaz/
Source0:        http://ftp.indexdata.dk/pub/yaz/yaz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel, openssl-devel, readline-devel, libtool
BuildRequires:  libxslt-devel, tcp_wrappers

%description
This package contains both a test-server and clients (normal & ssl)
for the ANSI/NISO Z39.50 protocol for Information Retrieval.


%package -n lib%{name}
Summary:        Z39.50 libraries
Group:          System Environment/Libraries

%description -n lib%{name}
Z39.50 is a client server protocol for searching and retrieving 
information from remote computer databases (ANSI/NISO Z39.50 
protocol).


%package -n lib%{name}-devel
Summary:        Development files for Z39.50 Library
Group:          Development/Libraries
Requires:       libyaz = %{version}-%{release}
Requires:       libxml2-devel, openssl-devel, readline-devel

%description -n lib%{name}-devel
Development libraries and includes for the libyaz package.


%prep
%setup -q


%build
%configure \
    --enable-tcpd \
    --enable-shared \
    --enable-pth \
    --disable-static
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Remove cruft
find $RPM_BUILD_ROOT -name '*.la' -o -name '*.a' | xargs rm -f
rm -rf $RPM_BUILD_ROOT%{_docdir}


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -n lib%{name} -p /sbin/ldconfig


%postun -n lib%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc doc/* README NEWS TODO LICENSE
%{_bindir}/yaz-client
%{_bindir}/yaz-ztest
%{_bindir}/zoom*
%{_bindir}/yaz-marcdump
%{_bindir}/yaz-iconv
%{_mandir}/man1/yaz-client.*
%{_mandir}/man8/yaz-ztest.*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man1/yaz-marcdump.*
%{_mandir}/man1/yaz-iconv.*
%{_mandir}/man7/yaz-log.*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_mandir}/man7/yaz.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_libdir}/*.so
%{_includedir}/%{name}
%{_datadir}/yaz
%{_datadir}/aclocal/*
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man8/yaz-config.*


%changelog
* Tue Aug 15 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.26-1
- Version 2.1.26
- Kill all tabs

* Tue Jun 20 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.22-1
- Version 2.1.22
- Libtoolize correctly
- BuildRequire libxslt
- BuildRequire tcp_wrappers
- Enable pth in configure
- Add %%check routine

* Mon Dec 12 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.10-1
- Initial packaging
